The BOOST_PP_SEQ_CAT macro concatenates all elements in a seq.

#### Usage

BOOST_PP_SEQ_CAT(list)

#### Arguments

seq
  The seq whose elements are to be concatenated.

#### Remarks

Elements are concatenated left-to-right starting with index 0.
For maximum efficiency, use BOOST_PP_SEQ_CAT_S.

#### See Also

- BOOST_PP_SEQ_CAT_S

#### Requirements

Header: <boost/preprocessor/seq/cat.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/cat.hpp>

    #define SEQ (a)(b)(c)

    BOOST_PP_SEQ_CAT(SEQ) // expands to abc

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)